﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace ExchangeServiceTests
{
    class Config
    {
        internal static readonly string ConnectionString = ConfigurationManager.ConnectionStrings["QueueDBConnectionString"].ConnectionString;
        internal static readonly int ExternalThreadCount = int.Parse(ConfigurationManager.AppSettings["NoOfThreadsOnExternal"]);
        internal static readonly int DBThreadCount = int.Parse(ConfigurationManager.AppSettings["NoOfThreadsOnDB"]);
        internal static readonly TimeSpan DBPollInterval = TimeSpan.Parse(ConfigurationManager.AppSettings["PollFromDBDuration"]);
        internal static readonly TimeSpan ExternalReadInterval = TimeSpan.Parse(ConfigurationManager.AppSettings["PollFromExternalDuration"]);
        internal static readonly TimeSpan ExternalReadTimeout = TimeSpan.Parse(ConfigurationManager.AppSettings["ExternalReadTimeout"]);
        internal static readonly TimeSpan StopTimeout = TimeSpan.Parse(ConfigurationManager.AppSettings["StopTimeout"]);            
    }
}
